目录

Real-Name Verification Result Query

Function

Queries the real-name verification result.

Scenario

You can obtain the verification result after the real-name verification of a user.

Prototype

Request Parameters

Request Header

Parameter Mandatory Type Description
Content-Type Yes String The value is application/json; charset=UTF-8.
PayDevAuth Yes String The value is a JSON string of PayDevAuth.

Request Body

Parameter Mandatory Type Description
verifyResultId Yes String Real-name verification result ID, which is returned by the app API.
openId Yes String OpenID of a user. For details, see Obtaining User Information. The value contains 1 to 512 characters.

Request Example

POST /api/v1/realname/verification/result HTTP/1.1
Content-Type: application/json;charset=UTF-8
PayDevAuth: {"clientId":"10132120***","accessToken":"DQEBALZh0tlSKKiNDJ9lYYg0Du0EB3E6PvcGlFsyB*******************XR+k2EX8ry1IGdDUZG1PjfcWQ94xnK7w3ag==","traceId":"202305151026422776499","time":1684117602555, "developerSignKeyId":"76e5ee072756417a829201fa********************f9a292d23ca949202c3dac548120", "petalpaySignKeyId":"DEVELOPER_SIGN_EB48251AC36***", "headerSign":"u+H3F14Oe3fS34d32S9mGCES89XA7tSjp8+********************lOGS7eADFfw2E45WJu52vY5Ku4KGcSCnSeE6DiKs=", "bodySign":"y3DFDtDLXDBqDoItDgHmFJ343H57LKH6U5G7F/*******************asPj10iDUIFeHaszDFHpiHRT23LGHaxvHJKta6J5UxIUmApL+wGdV/juGEvQ="}
Accept: application/json
{
  "verifyResultId": "12407091401520894056950***",
  "openId": "88e9eae22447d7a138357cbf0af2d9a3a84819ec18419631c*******************2b9cc4e33ad29e2048318b47ec98be41cecdd4e153e6216a6bd60851"
}

Response Parameters

Response Header

Parameter Mandatory Type Description
Content-Type Yes String The value is application/json; charset=UTF-8.

Response Body

Parameter Mandatory Type Description
resultCode Yes String Result code. 000000 indicates success, and other values indicate exceptions. For details, see Result Codes.
resultDesc Yes String Result description.
subCode No String Service result code.
subDesc No String Service result description.
sign Yes String Signature, which is used to perform anti-tamper verification on response packets.
verifyResult Yes Boolean Real-name verification result.
failedReason No String

Reason for verification failure that can be perceived.

- ID_TYPE_NOT_SUPPORT: Unsupported ID types. Currently, the real-name verification capability provided by Huawei Pay supports only ID cards.

- RARE_WORD_NOT_SUPPORT: Unsupported rare characters. For example, the name contains rare characters.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=UTF-8
{
  "resultCode": "000000",
  "resultDesc": "Success.",
  "sign": "MEQCIEIWzdpziRyTi8vhwWHFu********************0YAMabeCgTDG77e+2XJItvq/ZkIcCN5/B20pQ==",
  "verifyResult": true
}

Result Codes

For error codes of resultCode other than 400000, see Common Result Codes.

Return Code Result Code Description Solution
400000 UNKNOW_ERROR Service temporarily unavailable. Try again later. Try again later.
400000 INVALID_ARGUMENTS Invalid parameter. Check the request parameters.
400000 CLIENT_ID_PARAM_ERROR Client ID error. Check whether the clientId parameter in the request header is correct.
400000 INVALID_OPENID OpenID error. Check whether the input parameter openId in the request is correct.